Subject: [bug#51428] core-updates-frozen-batched-changes built and ready to merge

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 05 Nov 2021 00:57:53 -0400

Hello,

Thiago Jung Bauermann <[email-masked]> writes:

> Hello simon,
>
> Em quarta-feira, 3 de novembro de 2021, às 07:24:34 -03, zimoun escreveu:
>> For testing, I run "guix time-machine --branch=core-updates-frozen --
>> build -m my-manifest.scm" but I hit this error:
>> 
>> --8<---------------cut here---------------start------------->8---
>>  perl-5.34.0  14.0MiB                  19KiB/s 05:12 [#######           ]
>>  41.5% guix substitute: erreur : Erreur TLS dans la proc?dure
>> ??read_from_session_record_port?? : Erreur de d?codage du paquet TLS
>> re?u.
>
> Have you tried running the command again? Once in a while I get spurious 
> TLS errors (even when using Guix from the master branch), and simply re-
> running the command makes the error go away.
>
>> Well, I do not know where does it come from.
>
> I don’t know where the TLS errors come from either.

I sometimes get this too, it's annoying!  It was first reported as
https://issues.guix.gnu.org/42902.

My debug foo in this area is rather weak unfortunately.

Thanks,

Maxim